<?php
/*
 This program is distributed under the terms of the GNU General Public License.
 See the README & COPYING files for more information.
 Copyright (C) 2004  Kevin L. Papendick <kevinp@polarlava.com>
*/


	//--- PolarBlog Session
	require_once('./config/config.php');
	if (isset($_COOKIE[PB_SESSION_NAME]) || isset($_GET['login'])) {
		//--- Require cookie use if > V4.3.0
		if (version_compare(phpversion(), '4.3.0', '>')) {
			ini_set('session.use_only_cookies', '1');
		}
		if (defined('PB_SESSION_PATH')) {
			session_save_path(PB_SESSION_PATH);
		}
		session_name(PB_SESSION_NAME);
		session_start();
		header('Cache-control: private'); //IE6 Form Fix - http://www.phpfreaks.com/tutorials/41/1.php
	}

	//--- Remember Commentor
	if ((isset($_POST['edit_mode']) && $_POST['edit_mode'] == 'comment_insert') && (isset($_POST['remember_me']) && $_POST['remember_me'] == 1)) {
		$_POST['name'] = trim($_POST['name']);
		$_POST['email'] = trim($_POST['email']);
		$_POST['url'] = trim($_POST['url']);
		$_POST['url'] = str_replace('http://', '', $_POST['url']);
		$_POST['url'] = str_replace('https://', '', $_POST['url']);
		$name = (isset($_POST['name']) && !empty($_POST['name'])) ? $_POST['name'] : '';
		$email = (isset($_POST['email']) && !empty($_POST['email'])) ? $_POST['email'] : '';
		$url = (isset($_POST['url']) && !empty($_POST['url'])) ? $_POST['url'] : '';
		$expire = mktime(0, 0, 0, 1, 1, 2030);
		setcookie('pb_comment[name]', $name, $expire, '/');
		setcookie('pb_comment[email]', $email, $expire, '/');
		setcookie('pb_comment[url]', $url, $expire, '/');
	}
	//--- Unremember Commentor
	if ((isset($_POST['edit_mode']) && $_POST['edit_mode'] == 'comment_insert') && !isset($_POST['remember_me'])) {
		$expire = time() - 3600;
		setcookie('pb_comment[name]', '', $expire);
		setcookie('pb_comment[email]', '', $expire);
		setcookie('pb_comment[url]', '', $expire);
		unset($_COOKIE['pb_comment']);
	}
?>