<?php
/*
 This program is distributed under the terms of the GNU General Public License.
 See the README & COPYING files for more information.
 Copyright (C) 2004-2005  Kevin L. Papendick <kevinp@polarlava.com>
*/

	//--- Includes
	include_once(LIB_PATH . 'MySqlDb_class.php');

	class PbDb extends MySqlDb
	{

		//-----------------------------------------------
		//--- CONSTRUCTOR
		//--- PURPOSE:
		//---   Create PolarBlog database object & establish connection
		//--- PARAMETERS: host, name, user, password
		//---             connection (optional), port (optional)
		//--- RETURNS: true on success
		//---          false on failure
		//-----------------------------------------------
		function PbDb()
		{

			//--- Set your database connection string here
			$stat = $this->MySqlDb(DB_HOST, DB_NAME, DB_USER, DB_PASSWD, DB_CONNECT, DB_PORT);

			//--- Enable Debug Messages - not recommended unless you are having problems
			$this->setDebug(FALSE);

			//--- Send Debug Message Email
			$this->setDebugMail(FALSE);
			//$this->setDebugEmailTo('you@your.com');
			//$this->setDebugEmailFrom('mysql@your.com');

			return $stat;
		}

	}
?>
